Loading...
Searching...
No Matches
Opm::DiscreteFractureModel< TypeTag > Class Template Reference

A fully-implicit multi-phase flow model which assumes immiscibility of the phases and is able to include fractures in the domain. More...

`#include <discretefracturemodel.hh>`

Inheritance diagram for Opm::DiscreteFractureModel< TypeTag >:

## Public Member Functions

| DiscreteFractureModel (Simulator &simulator)
void | registerOutputModules_ ()
Public Member Functions inherited from Opm::ImmiscibleModel< TypeTag >
| ImmiscibleModel (Simulator &simulator)
std::string | primaryVarName (unsigned pvIdx) const
| Given an primary variable index, return a human readable name.
std::string | eqName (unsigned eqIdx) const
| Given an equation index, return a human readable name.
void | updateBegin ()
| Called by the update() method before it tries to apply the newton method.
Scalar | primaryVarWeight (unsigned globalDofIdx, unsigned pvIdx) const
Scalar | eqWeight (unsigned globalDofIdx, unsigned eqIdx) const
void | registerOutputModules_ ()
Public Member Functions inherited from Opm::MultiPhaseBaseModel< TypeTag >
| MultiPhaseBaseModel (Simulator &simulator)
bool | phaseIsConsidered (unsigned) const
| Returns true iff a fluid phase is used by the model.
void | globalPhaseStorage (EqVector &storage, unsigned phaseIdx)
| Compute the total storage inside one phase of all conservation quantities.
void | registerOutputModules_ ()

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the immiscible model.
static std::string | name ()
Static Public Member Functions inherited from Opm::ImmiscibleModel< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the immiscible model.
static std::string | name ()
Static Public Member Functions inherited from Opm::MultiPhaseBaseModel< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the immiscible model.

## Detailed Description

template<class TypeTag>
class Opm::DiscreteFractureModel< TypeTag >

A fully-implicit multi-phase flow model which assumes immiscibility of the phases and is able to include fractures in the domain.

This model implements multi-phase flow of immiscible fluids . It also can consider edges of the computational grid as fractures i.e. as a porous medium with different higher permeability than the rest of the domain.

Todo
  So far, the discrete fracture model only works for 2D grids and without energy. Also only the Darcy velocity model is supported for the fractures.

See also
  ImmiscibleModel

## Member Function Documentation

## name()

template<class TypeTag>

std::string Opm::DiscreteFractureModel< TypeTag >::name | ( |  | ) |

inline static

The documentation for this class was generated from the following file:

- opm/models/discretefracture/discretefracturemodel.hh